For the complete documentation index, see llms.txt. This page is also available as Markdown.

DeleteCloudRouterEdgePoint

1. API Description

This API (DeleteCloudRouterEdgePoint) is used to delete Edge Point

Notes

  • A Cloud Router must have at least 2 edge points; when there are exactly 2 edge points, none can be removed.

  • This is an asynchronous API. Once the request is successfully submitted, the operation is not completed immediately. During this period the Cloud Router status will be UPDATING; once removed successfully, information about the removed edge point can no longer be queried.

  • No other operations can be performed on the Cloud Router while it is being updated.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

cloudRouterId

Yes

String

ID of the Cloud Router that the edge point belongs to.

edgePointId

Yes

String

ID of the edge point to remove.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

4. Code Example

1. Delete an edge point in a Cloud Router.

POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeleteCloudRouterEdgePoint
<Common Request Params>

Request:
{
    "cloudRouterId": "your-cloud-router-id",
    "edgePointId": "your-cloud-router-point-id"
}

Response:
{   
  "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E",
  "response": {
     "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E"
  }
}

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

404

INVALID_CLOUD_ROUTER_POINT_NOT_FOUND

The Cloud Router edge point does not exist.

Last updated